Subject: Re: Cannot open ramdisk

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 11 Apr 2007 08:34:38 +1000

> My ramdisk is a compressed 64MB ext3 filesystem in /ppc/chrp/system
> 
> After the kernel has booted I get the following message:
> 
> VFS: Cannot open root device "ram0" or unknown-block(1,0)
> Please append a correct "root=" boot option
> 
> I've read that only uncompressed kernels can load a ramdisk, is this still the case?
> I have tried using an uncompressed kernel with the same results.
> 
> Can anyone tell me why my ramdisk isn't being loaded?

Not sure... what is the full kernel log and the messages from yaboot ?
It's possible that your ramdisk is just too big for either yaboot or the
kernel to cope...

Also, the ramdisk should be compressed, is it ?

Ben.